<?php

require_once 'system/funcs.php';
require_once 'system/sys.php';
H (' Мобильный форум решений и проблем');

echo '<div class="menu2">Арбитраж | Модерация</div>';

if ($us['level'] < 1) {
header ('location: /');
exit;
}


if(isset($_REQUEST['ok1'])) {

$komy = ($_POST['komy']);
$us = ($_POST['us']);

DB :: $dbs -> query ("UPDATE `arbitraz` SET `check`='1' WHERE (`komy`='" . $komy . "' and `us`='" . $us . "')");
header ('location: /arbitraz_mod.php');
exit();
}

if(isset($_REQUEST['ok2'])) {

$komy = ($_POST['komy']);
$us = ($_POST['us']);

DB :: $dbs -> query ("DELETE FROM `arbitraz` WHERE (`komy`='" . $komy . "' and `us`='" . $us . "')");
header ('location: /arbitraz_mod.php');
exit();
}

$c_f = DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `arbitraz` WHERE (`check` = '0')");

if($c_f == 0){
echo '<div class="raz">Модерация арбитража пуста</div>';
}
else
{
$query = DB :: $dbs -> query ("SELECT * FROM `arbitraz` WHERE (`check` = '0')");
while ($t = $query -> fetch ()) {                    
echo '<form method="POST"><input type="hidden" name="us" value="'.$t['us'].'"/><input type="hidden" name="komy" value="'.$t['komy'].'"/><div class="raz">Пользователь: ' . uNick ($t['us']) . '</a></br>Сообщение: ' . ($t['text']) . '</br>Отзыв: ' . ($t['arbik']) . '</br>Файл: <a href="/files/arb/' . ($t['file']) . '">' . ($t['file']) . '</a></br><input type="submit" name="ok1" value="Принять" /> | <input type="submit" name="ok2" value="Удалить" /></div>';
echo '</div>';
}
}

F ();

?>